Page MenuHomePhabricator

Long pressing a hyperlink should give the option to copy, share, save page, or go to link
Closed, ResolvedPublic2 Story Points

Description

The following options should be presented when long-pressing a link:

  • "Open": open the selected link in the current tab.
  • "Open in new tab": open the selected link in a new tab.
  • "Copy address": copies the URL of the link to the clipboard, and shows a Snackbar that says, "Link address copied to clipboard".
  • "Share": shares the URL of the link via the standard Activity chooser.
  • "Save": save the target page (show the same sequence of Snackbars as when saving the current page normally).

Event Timeline

Niedzielski updated the task description. (Show Details)
Niedzielski raised the priority of this task from to Low.
Niedzielski added a subscriber: Niedzielski.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 15 2015, 8:04 PM
Dbrant added a subscriber: Dbrant.Jun 15 2015, 8:11 PM

Note that I'm adding a long-press menu as part of the Tabbed Browsing patch (T69251) that includes the items "Go to link" and "Open in new tab." In a subsequent patch we can add "Copy link" and "Share."

Dbrant renamed this task from Long pressing a hyperlink should give the option to copy, share, or go to link to Long pressing a hyperlink should give the option to copy, share, save page, or go to link.Jul 24 2015, 5:43 PM
Dbrant set Security to None.
Niedzielski claimed this task.
MBinder_WMF edited a custom field.Jul 31 2015, 5:34 PM
Dbrant updated the task description. (Show Details)Aug 3 2015, 6:50 PM

Change 229582 had a related patch set uploaded (by Niedzielski):
Add copy & share link, save page, to context menu

https://gerrit.wikimedia.org/r/229582

Change 229582 merged by jenkins-bot:
Add copy & share link, save page, to context menu

https://gerrit.wikimedia.org/r/229582

Suggest new ordering:
Moving Copy Address to end of list.

The following options should be presented when long-pressing a link:

"Open": open the selected link in the current tab.
"Open in new tab": open the selected link in a new tab.
"Save": save the target page (show the same sequence of Snackbars as when saving the current page normally).
"Share": shares the URL of the link via the standard Activity chooser.
"Copy address": copies the URL of the link to the clipboard, and shows a Snackbar that says, "Link address copied to clipboard".

Change 231687 had a related patch set uploaded (by Niedzielski):
Tweak long press menu order

https://gerrit.wikimedia.org/r/231687

Here we go (not yet merged):

Looks great! Signed off by design.

Change 231687 merged by jenkins-bot:
Tweak long press menu order

https://gerrit.wikimedia.org/r/231687

Dbrant closed this task as Resolved.Sep 2 2015, 4:35 PM